Skip to main content

Get a search index

GET 

/pipelines/:pipeline_id/search-indexers/:indexer_id

Returns one search index of a pipeline: the kind, the status, the progress of the backfill, whether the index is a default of the pipeline, the progress of a running rebuild and, for a vector index, the distance indexes. A client application reads an added index until status is ready.

Permissions. Read on the pipeline.

Index life cycle describes the statuses.

Request​

Responses​

The body is the search index.